package com.github.itzilly.sbt

import net.minecraft.client.renderer.GlStateManager
import java.util.*

class HudText(var textLines: Array<String>, var x: Int, var y: Int, var shadow: Boolean) : RenderHudAble {
    var scale = 1f
    val id = UUID.randomUUID()
    override fun render(partialTicks: Float) {
        GlStateManager.pushMatrix()
        GlStateManager.translate(x.toFloat(), y.toFloat(), 0f)
        GlStateManager.scale(scale, scale, scale)
        var yOff = 0
        for (line in textLines) {
            if (shadow) {
                SkyBlockTweaks.INSTANCE.fontRenderer.drawStringWithShadow(line, 0f, yOff.toFloat(), 0)
            } else {
                SkyBlockTweaks.INSTANCE.fontRenderer.drawString(line, 0, yOff, 0)
            }
            yOff += 10
        }
        GlStateManager.popMatrix()
    }
}